org.restlet.engine.security

## Class SslContextFactory

- java.lang.Object
- - org.restlet.engine.security.SslContextFactory

Direct Known Subclasses:
  DefaultSslContextFactory

    public abstract class SslContextFactory
    extends java.lang.Object

This is an abstract factory that produces configured and initialised instances of SSLContext. Concrete implementations of SslContextFactory must implement `createSslContext()`, which should typically consist of:

        SSLContext sslContext = SSLContext.getInstance(...);
        ...
        sslContext.init(..., ..., ...);
        return sslContext;

Author:
  Bruno Harbulot (Bruno.Harbulot@manchester.ac.uk)
See Also:
  `SSLContext`

### Constructor Summary

Constructors
Constructor and Description
`SslContextFactory()`

### Method Summary

Methods
`abstract javax.net.ssl.SSLContext` `createSslContext()` Creates a configured and initialized SSLContext.
`abstract void` `init(Series<Parameter> parameters)` Initialize the factory with the given connector parameters.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SslContextFactory

    public SslContextFactory()

### Method Detail

#### createSslContext

    public abstract javax.net.ssl.SSLContext createSslContext()
                                                       throws java.lang.Exception

Creates a configured and initialized SSLContext.

Returns:
  A configured and initialized SSLContext.
Throws:
  `java.lang.Exception`

#### init

    public abstract void init(Series<Parameter> parameters)

Initialize the factory with the given connector parameters.

Parameters:
  `parameters` - The connector parameters.